Opened 15 years ago

Closed 14 years ago

#2379 closed defect (fixed)

BOOK/INSTALL typos/fixes

Reported by: Jeremy Henty Owned by: blfs-book@…
Priority: normal Milestone: 6.3
Component: BOOK Version: SVN
Severity: trivial Keywords:
Cc:

Description

BOOK/INSTALL has a typo and an obsolete URL in the last paragraph.

Attachments (1)

00_install_00_typos (775 bytes ) - added by Jeremy Henty 15 years ago.
BOOK/INSTALL - Fix requirements list, typos and BLFS URL

Download all attachments as: .zip

Change History (9)

comment:1 by Randy McMurchy, 15 years ago

Additionally, the dependency of the XSL stylesheets is not required any longer.

in reply to:  1 comment:2 by Jeremy Henty, 15 years ago

Replying to randy@linuxfromscratch.org:

Additionally, the dependency of the XSL stylesheets is not required any longer.

But DocBook XML DTD-4.5 is needed. I had to install it before I could build the book.

comment:3 by Randy McMurchy, 15 years ago

Okay, I will concur we need the DTD listed. But what does that have to do with the XSL Stylesheets?

in reply to:  3 comment:4 by Jeremy Henty, 15 years ago

Replying to randy@linuxfromscratch.org:

Okay, I will concur we need the DTD listed. But what does that have to do with the XSL Stylesheets?

Nothing! I was going to raise the DTD issue separately but then I thought I'd say it here since you commented on the dependency list. I had no idea the XSL Stylesheets were unnecessary until you pointed it out. I've updated my patch to add the DTD and drop the XSL. Does anything else need fixing?

comment:5 by Randy McMurchy, 15 years ago

Sorry about that one. I didn't realize that the DTD wasn't explicitly listed (I suppose because it is a dep of the Stylesheets, it could be ommitted, but I digress). I thought it was listed, hence my confusion. Yes, it will have to be added in place of the stylesheets.

Here's my take:

The Lynx depend could be removed as I don't see a Makefile target to create a text version any longer.

The JDK depend should probably have the version number removed so it just says JDK.

in reply to:  5 comment:6 by Jeremy Henty, 15 years ago

Replying to randy@linuxfromscratch.org:

... I didn't realize that the DTD wasn't explicitly listed (I suppose because it is a dep of the Stylesheets, ...

It's not! The Stylesheets dependencies only list libxml2 .

The Lynx depend could be removed as I don't see a Makefile target to create a text version any longer.

Presumably the text should be updated to remove all reference to the TXT format?

by Jeremy Henty, 15 years ago

Attachment: 00_install_00_typos added

BOOK/INSTALL - Fix requirements list, typos and BLFS URL

in reply to:  5 comment:7 by Jeremy Henty, 15 years ago

Replying to randy@linuxfromscratch.org:

The Lynx depend could be removed ... The JDK depend should probably have the version number removed

OK, I've uploaded a new patch as you suggest. Is this thing fully baked yet?

comment:8 by bdubbs@…, 14 years ago

Resolution: fixed
Status: newclosed

Fixed at revision 7216.

Note: See TracTickets for help on using tickets.